# Asymptotically Free Sketched Ridge Ensembles: Risks, Cross-validation, and Tuning

This repository contains the code for the experiments in the paper "Asymptotically Free Sketched Ridge Ensembles: Risks, Cross-validation, and Tuning". All experiments are run in Python using standard scientific computing packages.

The figures in the paper can be generated as follows (run in order):

- Figure 1: Run [`GCV synthetic.ipynb`](GCV%20synthetic.ipynb)
- Figure 2: Run [`RCV1.ipynb`](RCV1.ipynb) and [`RNA-Seq.ipynb`](RNA-Seq.ipynb), and then generate the figure with [`Real Data Figure.ipynb`](Real%20Data%20Figure.ipynb)
- Figure 3: Run [`Confidence Intervals.ipynb`](Confidence%20Intervals.ipynb)
- Figure 4: Run [`Ensemble trick.ipynb`](Ensemble%20trick.ipynb)
- Figure A.1: Run [`Free sketching investigation.ipynb`](Free%20sketching%20investigation.ipynb)
- Figure A.1: Run [`Free sketching investigation (real data).ipynb`](Free%20sketching%20investigation%20(real%20data).ipynb)
- Figure H.1: Run [`Ensembles.ipynb`](Ensembles.ipynb)
